// File: LEDs.h
//------------------------------------------------------------------------------
// Author: Giovanni de Sanctis
// Email: info@lateral-technologies.com
//------------------------------------------------------------------------------
// Date: Dec 2018
// Controls the LED strip
//------------------------------------------------------------------------------


#ifndef LEDS_H
#define	LEDS_H

#include <stdint.h>
#include "mcc_generated_files/pwm3.h"

#define PWM3_PERIOD     8000u

#define POS2LEDS(x)     ((int16_t)x*1000)

void stopLEDs();
void startLEDs();
//Brightness in %
void setLEDsBrightness(uint8_t level);
//Brightness in period counts
void setLEDsBrightness2(int16_t level);


#endif	/* LEDS_H */

